Package org.eclipse.ecf.filetransfer

# Interface IFileTransferRunnable

public interface IFileTransferRunnable
Runnable for doing file transfer. Used by `FileTransferJob`s.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.core.runtime.IStatus`
`performFileTransfer(org.eclipse.core.runtime.IProgressMonitor monitor)`
Synchronously perform the actual file transfer.

## Method Details

### performFileTransfer

org.eclipse.core.runtime.IStatus performFileTransfer(org.eclipse.core.runtime.IProgressMonitor monitor)
Synchronously perform the actual file transfer.

Parameters:
  `monitor` - a progress montior. Will not be `null`.
Returns:
  IStatus a status object indicating the ending status of the file transfer job.